PeerToPeerSessionCache (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: PeerToPeerSessionCache

Package org.apache.geode.modules.session.catalina

# Class PeerToPeerSessionCache

java.lang.Object
org.apache.geode.modules.session.catalina.AbstractSessionCache
org.apache.geode.modules.session.catalina.PeerToPeerSessionCache

All Implemented Interfaces:
  `SessionCache`

public class PeerToPeerSessionCache extends AbstractSessionCache

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final boolean`
  `DEFAULT_ENABLE_LOCAL_CACHE`
  `protected static final String`
  `DEFAULT_REGION_ATTRIBUTES_ID`

  ### Fields inherited from class org.apache.geode.modules.session.catalina.AbstractSessionCache

  `sessionManager, statistics`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeerToPeerSessionCache(SessionManager sessionManager, Cache cache)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createOrRetrieveRegion()`
  `GemFireCache`
  `getCache()`
  `boolean`
  `getDefaultEnableLocalCache()`
  `String`
  `getDefaultRegionAttributesId()`
  `void`
  `initialize()`
  `boolean`
  `isBackingCacheAvailable()`
  For peer-to-peer the backing cache *is* what's embedded in tomcat so it's always available
  `boolean`
  `isClientServer()`
  `boolean`
  `isPeerToPeer()`
  `Set<String>`
  `keySet()`
  `int`
  `size()`
  `void`
  `touchSessions(Set<String> sessionIds)`

  ### Methods inherited from class org.apache.geode.modules.session.catalina.AbstractSessionCache

  `destroySession, getOperatingRegion, getOperatingRegionName, getSession, getSessionManager, getSessionRegion, getStatistics, putSession`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_REGION_ATTRIBUTES_ID

    protected static final String DEFAULT_REGION_ATTRIBUTES_ID

  - ### DEFAULT_ENABLE_LOCAL_CACHE

    protected static final boolean DEFAULT_ENABLE_LOCAL_CACHE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PeerToPeerSessionCache

    public PeerToPeerSessionCache(SessionManager sessionManager, Cache cache)

- ## Method Details

  - ### initialize

    public void initialize()

  - ### getDefaultRegionAttributesId

    public String getDefaultRegionAttributesId()

  - ### getDefaultEnableLocalCache

    public boolean getDefaultEnableLocalCache()

  - ### touchSessions

    public void touchSessions(Set<String> sessionIds)

  - ### isPeerToPeer

    public boolean isPeerToPeer()

  - ### isClientServer

    public boolean isClientServer()

  - ### keySet

    public Set<String> keySet()

  - ### size

    public int size()

  - ### getCache

    public GemFireCache getCache()

  - ### isBackingCacheAvailable

    public boolean isBackingCacheAvailable()
    For peer-to-peer the backing cache *is* what's embedded in tomcat so it's always available
    Returns:
      boolean indicating whether a backing cache is available

  - ### createOrRetrieveRegion

    protected void createOrRetrieveRegion()